GEOS 3.3.8

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
geos::linearref::LengthLocationMap Class Reference

`#include <LengthLocationMap.h>`

## Public Member Functions
| LengthLocationMap (const geom::Geometry *linearGeom)
LinearLocation | getLocation (double length) const
double | getLength (const LinearLocation &loc) const

## Static Public Member Functions
static LinearLocation | getLocation (const geom::Geometry *linearGeom, double length)
static double | getLength (const geom::Geometry *linearGeom, const LinearLocation &loc)

## Detailed Description

Computes the LinearLocation for a given length along a linear Geometry. Negative lengths are measured in reverse from end of the linear geometry. Out-of-range values are clamped.

## Member Function Documentation

static double geos::linearref::LengthLocationMap::getLength | ( | const geom::Geometry * | linearGeom,
|  | const LinearLocation & | loc
| ) |  |
| static

Computes the length for a given LinearLocation on a linear Geometry.

Parameters

  line | the linear geometry to use
  loc | the LinearLocation index of the location

Returns
  the length for the LinearLocation

static LinearLocation geos::linearref::LengthLocationMap::getLocation | ( | const geom::Geometry * | linearGeom,
|  | double | length
| ) |  |
| static

Computes the LinearLocation for a given length along a linear Geometry.

Parameters

  line | the linear geometry to use
  length | the length index of the location

Returns
  the LinearLocation for the length

LinearLocation geos::linearref::LengthLocationMap::getLocation | ( | double | length | ) | const

Compute the LinearLocation corresponding to a length. Negative lengths are measured in reverse from end of the linear geometry. Out-of-range values are clamped.

Parameters

  length | the length index

Returns
  the corresponding LinearLocation

The documentation for this class was generated from the following file:

- LengthLocationMap.h